package org.fuseri.modulemail.service;


import jakarta.validation.Valid;
import jakarta.validation.constraints.PositiveOrZero;
import org.fuseri.model.dto.mail.MailDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/mail")
public class MailController {

    private final MailService service;

    @Autowired
    public MailController(MailService service) {
        this.service = service;
    }


    @GetMapping("/{id}")
    public String getEmail(@PositiveOrZero @PathVariable("id") Long id) {
        return  "No mail with that id yet";
    }

    @DeleteMapping("/delete/{id}")
    public String deleteMail(@PositiveOrZero @PathVariable("id") Long id) {
        return "Nothing to delete Yet";
}

    @PostMapping()
    public String sendMail(@Valid @RequestBody MailDto emailDto) {
        return service.send(emailDto);
    }
}
